Loading...
Searching...
No Matches
Magick::DrawableScaling Class Reference
Inheritance diagram for Magick::DrawableScaling:

## Public Member Functions

| DrawableScaling (double x_, double y_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _x
double | _y

## Detailed Description

Definition at line 1619 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableScaling()

Magick::DrawableScaling::DrawableScaling | ( | double | x_,
|  | double | y_
| ) |  |

inline

Definition at line 1622 of file Drawable.h.

: _x(x_),
_y(y_)
{ }

## ~DrawableScaling()

Magick::DrawableScaling::~DrawableScaling | ( | void |  | ) |

Definition at line 1121 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableScaling::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1129 of file Drawable.cpp.

{
return new DrawableScaling(*this);
}

## operator()()

void Magick::DrawableScaling::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1124 of file Drawable.cpp.

{
DrawScale( context_, _x, _y );
}

## x() [1/2]

void Magick::DrawableScaling::x | ( | double | x_ | ) |

inline

Definition at line 1635 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::DrawableScaling::x | ( | void |  | ) | const

inline

Definition at line 1639 of file Drawable.h.

{
return _x;
}

## y() [1/2]

void Magick::DrawableScaling::y | ( | double | y_ | ) |

inline

Definition at line 1644 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::DrawableScaling::y | ( | void |  | ) | const

inline

Definition at line 1648 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _x

double Magick::DrawableScaling::_x

private

Definition at line 1654 of file Drawable.h.

## _y

double Magick::DrawableScaling::_y

private

Definition at line 1655 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp